Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions | Variables
ossl_ssl_session.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Functions
void | Init_ossl_ssl_session (void)

## Variables
VALUE | cSSLSession
const rb_data_type_t | ossl_ssl_session_type

## Function Documentation

## ◆ Init_ossl_ssl_session()

void Init_ossl_ssl_session | ( | void |  | ) |

Definition at line 308 of file ossl_ssl_session.c.

References cSSLSession, eOSSLError, mOSSL, mSSL, rb_cObject, rb_define_class_under(), rb_define_module(), rb_define_module_under(), and rb_eStandardError.

## Variable Documentation

## ◆ cSSLSession

VALUE cSSLSession

Definition at line 7 of file ossl_ssl_session.c.

Referenced by Init_ossl_ssl_session().

## ◆ ossl_ssl_session_type

const rb_data_type_t ossl_ssl_session_type

Initial value:
= {
"OpenSSL/SSL/Session",
{
0, ossl_ssl_session_free,
},
0, 0, RUBY_TYPED_FREE_IMMEDIATELY,
}

Definition at line 16 of file ossl_ssl_session.c.

RUBY_TYPED_FREE_IMMEDIATELY
#define RUBY_TYPED_FREE_IMMEDIATELY
Definition: ruby.h:1207